/*
*	Filename:		SkeletonExport.h
*	Author:			Lars Vidar Magnusson
*	Copyright (C)	LaViMa Development 2006
*/

#ifndef __SKELETONEXPORT__
#define __SKELETONEXPORT__

#include <maya/MStatus.h>
#include <maya/MDagPath.h>
#include <maya/MFnIkJoint.h>
#include <maya/MFnTransform.h>
#include <maya/MItDag.h>

#include "Skeleton.h"
#include "TextFileWriter.h"

class cSkeletonExport {
private:

	MStatus extractJoint(MDagPath &jointPath, int parentId = -1);

public:

	tSkeleton mSkeleton;

	MStatus extractSkeleton();

	void writeSkeleton(cTextFileWriter &writer);

	void cleanUp();

};	// cSkeletonExport

#endif	// __SKELETONEXPORT__