/*
*	Filename:		FileWriter.h
*	Author:			Lars Vidar Magnusson
*	Copyright (C)	LaViMa Development 2005
*/

#ifndef __TEXTFILEWRITER__
#define __TEXTFILEWRITER__

#include <assert.h>
#include <stdarg.h>
#include <fstream>
#include <maya/MString.h>

#define TEXT_MAX_LENGTH 512

/**
*	Text file writer. Buffered text file writer
*/
class cTextFileWriter {
private:
	
	MString mBuffer;
	MString mFileName;

	int mNumTabs;

public:

	/**
	*	Constructors
	*/
	cTextFileWriter();
	cTextFileWriter(const MString &fileName);

	/**
	*	Destructor
	*/
	~cTextFileWriter();

	/**
	*	Add a new string to the buffer
	*/
	void add(const char *str, ...);

	/**
	*	Add a tab
	*	@remark
	*		The tabs is inserted after the next newline
	*/
	void addTab();

	/**
	*	Remove a tab
	*	@remark
	*		The tabs is inserted after the next newline
	*/
	void removeTab();

	/**
	*	Write the buffer to the file
	*/
	void writeFile();

	/*
	*	Getters and Setters
	*/

	inline void setFileName(const MString &fileName) { mFileName = fileName; }

};	// cFileWriter

#endif	// __TEXTFILEWRITER__