/*
*	Filename:		RiTETranslator.h
*	Author:			Lars Vidar Magnusson
*	Copyright (C)	LaViMa Development 2005
*/

#include <maya/MFnPlugin.h>

#include <RiTETranslator.h>

MStatus initializePlugin(MObject obj) { 
	MStatus status;
	MFnPlugin plugin(obj, "LaViMa", cRiTETranslator::mVersion.asChar(), "Any");

	//Register the translator with the system
	status = plugin.registerFileTranslator(	"RiTE", 
											"RiTETranslator.rgb", 
											cRiTETranslator::creator, 
											"RiTEExportOptions", 
											"", true);
	if(!status) {
		status.perror("registerFileTranslator");
		return status;
	}

	return status;
}

MStatus uninitializePlugin(MObject obj) {
	MStatus status;
	MFnPlugin plugin(obj);

	// Deregister the translator
	status = plugin.deregisterFileTranslator ("RiTE");
	if(!status) {
		status.perror("deregisterFileTranslator");
		return status;
	}

	return status;
}
